<h4>
  <%= Tools::Criticity.model_name.human %>
  <% if @tools_criticities.empty? %>
    <%= link_to t('.new') ,
                new_tools_criticity_path(tools_criticity: { rca_id: @rca.id,
                                                            tool_reference: @step_tool.tool_reference,
                                                            tool_num: @step_tool.tool_num }),
                class: 'btn btn-outline-warning',
                remote: true %>
  <% end %>
</h4>
<hr>
<% @tools_criticities.each do |tools_criticity| %>
  <% @tools_criticity = tools_criticity %>
  <%= render partial: 'edit' %>
  <hr>
<% end %>

<%= simple_form_for @rca,
    wrapper: :horizontal_form,
    wrapper_mappings: {
      boolean:       :horizontal_boolean,
      check_boxes:   :horizontal_collection,
      date:          :horizontal_multi_select,
      datetime:      :horizontal_multi_select,
      file:          :horizontal_file,
      radio_buttons: :horizontal_collection,
      range:         :horizontal_range,
      time:          :horizontal_multi_select } do |form| %>
  <%= form.error_notification %>
  <%= form.error_notification message: form.object.errors[:base].to_sentence if form.object.errors[:base].present? %>

  <%= form.association :methodology, collection: Meth::Methodology.rca_methodologies, input_html: { class: 'form-control-sm'} %>

  <div class="form-actions">
    <%= form.button :submit, 'Update Methodology', class: 'btn-outline-dark btn-prowhy' %>
  </div>
<% end %>
